/***************************************************************************
 begin                : Thu Aug 29 2002
 copyright            : (C) 2002 by Christian Hubinger
 email                : chubinger@irrsinnig.org.orphi.iki
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMFRULEEDITTARGETMARK_H
#define KMFRULEEDITTARGETMARK_H
#include "kmyfirewallruleeditortargetmark.h"

#include <tqwidget.h>
#include <tqptrlist.h>
/**
  *@author Christian Hubinger
  */
class TQString;
namespace KMF {
class IPTRule;


class KMFRuleEditTargetMark : public KMyFirewallRuleEditorTargetMark {
	Q_OBJECT
  TQ_OBJECT
public:
	KMFRuleEditTargetMark( TQWidget *parent = 0, const char *name = 0, WFlags fl = 0 );
	~KMFRuleEditTargetMark();
	void loadRule( IPTRule* );
	void accept();
	void reject();

public slots:
	void slotHelp();

private:
	IPTRule* m_rule;

signals:
/*	void sigAddRuleOpt( TQString*, TQPtrList<TQString>* );
	void sigAddTargetOpt( TQString*, TQPtrList<TQString>* );
	void sigDelTargetOpt( TQString * );*/
	void sigDocumentChanged();
	void sigHideMe();


};
}
#endif
